Skip to content
Dashboard

Delete a redirect rule

DELETE/v2/help_center/redirect_rules/{id}

Deletes an existing redirect rule. The associated Redis cache entry is also invalidated.

Path Parameters

  • id - The unique identifier of the redirect rule to delete

Response

Returns a deletion confirmation object:

  • id - The ID of the deleted redirect rule
  • object - Always “redirect_rule”
  • deleted - Always true

Errors

  • 404 - Redirect rule not found in your organization
Path ParametersExpand Collapse
id: string

Redirect rule unique identifier

Header ParametersExpand Collapse
"Featurebase-Version": optional "2026-01-01.nova" or "2025-12-12.clover"
One of the following:
"2026-01-01.nova"
"2025-12-12.clover"
ReturnsExpand Collapse
id: string

Unique identifier of the deleted redirect rule

deleted: true

Indicates the resource was deleted

object: "redirect_rule"

Object type identifier

Delete a redirect rule

curl https://do.featurebase.app/v2/help_center/redirect_rules/$ID \
    -X DELETE \
    -H "Authorization: Bearer $FEATUREBASE_API_KEY"
{
  "id": "507f1f77bcf86cd799439011",
  "deleted": true,
  "object": "redirect_rule"
}
Returns Examples
{
  "id": "507f1f77bcf86cd799439011",
  "deleted": true,
  "object": "redirect_rule"
}